Show / Hide Table of Contents

# Class SwapChainSigResolver

##### Inheritance

System.Object
Dalamud.Game.Internal.BaseAddressResolver
SwapChainSigResolver

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Internal.DXGI

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class SwapChainSigResolver : BaseAddressResolver, ISwapChainAddressResolver

### Properties

| Improve this Doc View Source

#### Present

##### Declaration

    public IntPtr Present { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### ResizeBuffers

##### Declaration

    public IntPtr ResizeBuffers { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

### Methods

| Improve this Doc View Source

#### Setup64Bit(SigScanner)

##### Declaration

    protected override void Setup64Bit(SigScanner sig)

##### Parameters

Type | Name | Description
--- | --- | ---
SigScanner | sig |

##### Overrides

Dalamud.Game.Internal.BaseAddressResolver.Setup64Bit(Dalamud.Game.SigScanner)